#ifndef _LUCENE_LOCAL_ARRAYS
#define _LUCENE_LOCAL_ARRAYS

//this header is included twice, once by the swig processor, then once by the include to define c++ classes

CLUCENEARRAY(_p_p_char,String,TCHAR*,stringDuplicate(a),_CLDELETE_CARRAY(array[idx]));
CLUCENEARRAY(_p_uint8_t,Byte,uint8_t,a,array[idx]=0;);
CLUCENEARRAY(_p_int32_t,Int,int32_t,a,array[idx]=0;);
CLUCENEARRAY(_p_p_lucene__index__IndexReader,IndexReader,lucene::index::IndexReader*,_CL_POINTER(a),_CLDELETE(array[idx]););
CLUCENEARRAY(_p_p_lucene__index__TermFreqVector,TermFreqVector,lucene::index::TermFreqVector*,_CL_POINTER(a),_CLDELETE(array[idx]););
CLUCENEARRAY(_p_p_lucene__search__SortField,SortField,lucene::search::SortField*,_CL_POINTER(a),_CLDELETE(array[idx]););
CLUCENEARRAY(_p_p_lucene__search__Searchable,Searchable,lucene::search::Searchable*,_CL_POINTER(a),_CLDELETE(array[idx]););

#endif
